import request from '@/utils/request'

// 我的质押
export function getLock(data) {
	return request({
		url: '/api/lock/join',
		method: 'GET',
		data
	});
}

// 质押项目列表
export function lock(data) {
	return request({
		url: '/api/lock',
		method: 'GET',
		data
	});
}
// 质押项目详情
export function lockDetail(data) {
	return request({
		url: `/api/lock/${data.id}`,
		method: 'GET',
	});
}
// 参与质押
export function lockJoin(data) {
	return request({
		url: `/api/lock/${data.id}`,
		method: 'POST',
		data
	});
}